
<script language="javascript">



	function pon_prefijo() {

	parent.document.getElementById("form_busqueda").submit();
	parent.document.getElementById('bloquea').style.display='none';
}



</script>

<?php
include ("../conexion.php");
include ("../funciones/fechas.php");

$consulta1 = "DELETE FROM seguimiento_articulo ";  ////// Limpia la tabla cartera_cxc
	$mysqli->query($consulta1);

 
$cdgbar = $_GET["cdgbar"];



$where="1=1";
if ($cdgbar <> "") { $where.=" AND codigo='$cdgbar'"; }
	
	
$consulta ="SELECT * FROM factulinea WHERE borrado = 0 AND  ".$where;
if ($resultado = $mysqli->query($consulta)) 

    while ($fila = $resultado->fetch_assoc()) {
        $fecfac        = $fila["fecfac"];
        $codfactura    = $fila["codfactura"];
        $cdgcli        = $fila["cdgcli"];
		$cantidad      = $fila["montotlin"];
		$tipmov        = "FAC";

				 
		$consulta1 = "SELECT * FROM facturas WHERE codfactura='$codfactura'";
		$result = $mysqli->query($consulta1);
		$row1 = $result->fetch_array();
		$dsccli  = $row1["dsccli"];	
		$numfac  = $row1["numfactura"];		 
			
	 
	   ///////////////////////  inserta en la tabla cartera_cxc los resultados ////////////
	   
	$sel_insertar="INSERT INTO seguimiento_articulo (fecfac,codfactura,dsccli,cdgcli,canres,tipmov) VALUES 
		('$fecfac','$numfac','$dsccli','$cdgcli','$cantidad','$tipmov')";
	$mysqli->query($sel_insertar);
	

	
			}	

////////////////////////   generar las compras /////////////////////////////


if ($cdgbar <> "") { $where.=" AND codigo='$cdgbar'"; }

	
$consulta1 ="SELECT * FROM factulinea_compra WHERE   ".$where;
if ($resultado1 = $mysqli->query($consulta1)) 

    while ($fila1 = $resultado1->fetch_assoc()) {
        $canart      = $fila1["canart"];
        $codfactura  = $fila1["codfactura"];
		
		
		$consulta2 = "SELECT * FROM facturas_compras WHERE codfactura='$codfactura'";
		$resultado = $mysqli->query($consulta2);
		$row = $resultado->fetch_array();
	echo	$cdgcli  = $row["cdgpro"];	
		$fecfac  = $row["fecfac"];	
	echo	$dsccli  = $row["dscpro"];	
		$numfac  = $row["numfac"];						   
		$tipmov  = "COM";		
		
				 
	   ///////////////////////  inserta en la tabla cartera_cxc los resultados ////////////
	   
	$sel_insertar1="INSERT INTO seguimiento_articulo (fecfac,codfactura,dsccli,cdgcli,cansum,tipmov) VALUES 
		('$fecfac','$numfac','$dsccli','$cdgcli','$cantidad','$tipmov')";
	$mysqli->query($sel_insertar1);	
	

	
			}	

////////////////////////   generar las ajustes /////////////////////////////


if ($cdgbar <> "") { $where.=" AND codigo='$cdgbar'"; }
					 
				 
		$consulta3 ="SELECT * FROM ajustes_inventario_lineas WHERE borrado = 0 AND  ".$where;
		if ($resultado3 = $mysqli->query($consulta3)) 

        while ($fila3 = $resultado3->fetch_assoc()) {
        $codajuste  = $fila3["codajuste"];
		$cantidad   = $fila3["cantidad"];		 
				 
			
		$consulta4 = "SELECT * FROM ajustes_inventario WHERE codaju='$codajuste'";
		$resultado4 = $mysqli->query($consulta4);
		$row2 = $resultado4->fetch_array();
		$tipmov      = $row2["cdgtipaju"];	
		$fecfac      = $row2["fecaju"];	
		$dsccli      = $row2["dscaju"];	
		$codfactura  = $row2["numaju"];	
		
		$consulta5 = "SELECT * FROM tipo_ajuste WHERE cdgtipaju='$tipmov'";
		$resultado5 = $mysqli->query($consulta5);
		$row3 = $resultado5->fetch_array();
		$accaju      = $row3["accaju"];	

				
		if ($accaju=="SUMA")  {		
		$cansum=$cantidad;
		$canres="";
		
		}
		
		if ($accaju=="RESTA")  {		
		$canres=$cantidad;
		$cansum="";
		}
		
			 
	   ///////////////////////  inserta en la tabla cartera_cxc los resultados ////////////
	   
	$sel_insertar2="INSERT INTO seguimiento_articulo (fecfac,codfactura,dsccli,cansum,canres, tipmov) VALUES 
		('$fecfac','$codfactura','$dsccli','$cansum','$canres','$tipmov')";
	$mysqli->query($sel_insertar2);	

	
			}	


	
	/////////////////////////////////////  GENERAR NOTAS DE CREDITO CLIENTES ////////////////


if ($cdgbar <> "") { $where.=" AND codigo='$cdgbar'"; }

				 
		$consulta6 ="SELECT * FROM factulinea_notas WHERE  borrado = 0 AND  ".$where;
		if ($resultado6 = $mysqli->query($consulta6)) 

        while ($fila6 = $resultado6->fetch_assoc()) {
        $fecfac        = $fila6["fecfac"];
        $codfactura    = $fila6["codnota"];
        $cdgcli        = $fila6["cdgcli"];
		$cantidad      = $fila6["montotlin"];			 
		$tipmov        = "NC+";		 
					
				
		$consulta7 = "SELECT * FROM facturas_notas WHERE codnota='$codfactura'";
		$resultado7 = $mysqli->query($consulta7);
		$row7 = $resultado7->fetch_array();
		$dsccli       = $row7["dsccli"];	
				 

	   ///////////////////////  inserta en la tabla cartera_cxc los resultados ////////////
	   
	$sel_insertar3="INSERT INTO seguimiento_articulo (fecfac,codfactura,dsccli,cdgcli,cansum,tipmov) VALUES 
		('$fecfac','$codfactura','$dsccli','$cdgcli','$cantidad','$tipmov')";
	$mysqli->query($sel_insertar3);
	

	
			}	
			
			
			
		/////////////////////////////////////  GENERAR NOTAS DE CREDITO PROVEEDORES   ////////////////


if ($cdgbar <> "") { $where.=" AND codigo='$cdgbar'"; }

		$consulta8 ="SELECT * FROM notas_proveedores_lineas WHERE  borrado = 0 AND  ".$where;
		if ($resultado8 = $mysqli->query($consulta8)) 

        while ($fila8 = $resultado8->fetch_assoc()) {
        $fecfac        = $fila8["fecfac"];
        $codfactura    = $fila8["codnota"];
        $cdgpro        = $fila8["cdgpro"];
		$cantidad      = $fila8["canart"];			 
		$tipmov        = "NC-";
		
		
		$consulta9 = "SELECT * FROM notas_proveedores WHERE codnota='$codfactura'";
		$resultado9 = $mysqli->query($consulta9);
		$row9 = $resultado9->fetch_array();
		$dscpro       = $row9["dscpro"];
		$numnot       = $row9["numnot"];
		

	   ///////////////////////  inserta en la tabla cartera_cxc los resultados ////////////
	   
	$sel_insertar4="INSERT INTO seguimiento_articulo (fecfac,codfactura,dsccli,cdgcli,canres,tipmov) VALUES 
		('$fecfac','$numnot','$dscpro','$cdgpro','$cantidad','$tipmov')";
	$mysqli->query($sel_insertar4);	


	
			}			
			

?>
                 <script languaje="javascript">
	pon_prefijo();
	
		</script>


